package net.afyre.haha.demo.solver.smt;

/**
 * Empty implementation of SmtLogger.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public class SmtNullLogger implements SmtLogger {

  /** {@inheritDoc} */
  @Override
  public void error(final String msg) { }

  /** {@inheritDoc} */
  @Override
  public void error(final String msg, 
                    final Throwable cause) { }

  /** {@inheritDoc} */
  @Override
  public void model(final SmtModel model) { }
  
  /** {@inheritDoc} */
  @Override
  public void warning(final String msg) { }

  /** {@inheritDoc} */
  @Override
  public void warning(final String msg, 
                      final Throwable cause) { }

  /** {@inheritDoc} */
  @Override
  public void info(final String msg) { }
  
  /** {@inheritDoc} */
  @Override
  public void input(final String text) { }
  
  /** {@inheritDoc} */
  @Override
  public void output(final String text) { }
}
