package net.afyre.haha.demo.coq;

/**
 * The type of indentation items.
 * 
 * @author Aleksy Schubert <alx@mimuw.edu.pl>
 *
 */
public interface IndentItem {
	
	/**
	 * @return the length of the indentation provided by the
	 *   current indentation object, this is expressed in the
	 *   number of spaces
	 */
	public int getLength();
	
	/**
	 * The method to print the currently set indentation.
	 */
	public void print();

}
