package net.afyre.haha.demo.types;

/**
 * A type switch which always returns false.
 * 
 * Subclasses may override this behaviour in selected cases.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public class FalseTypeSwitch extends TypeSwitchWithDefault<Boolean> {
  /** Constructor. */
  public FalseTypeSwitch() {
    super(false);
  }
}
