package net.afyre.haha.demo.types;

/**
 * A type switch which always returns null.
 * 
 * Subclasses may override this behaviour in selected cases.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 * @param <Result> Type of values returned by this switch.
 */
public class NullTypeSwitch<Result> extends TypeSwitchWithDefault<Result> {
  /** Constructor. */
  public NullTypeSwitch() {
    super(null);
  }
}
