package net.afyre.haha.demo.types;

/**
 * Interface of objects used to inspect value types.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 * @param <Result> Type of inspection result.
 */
public interface ValueTypeSwitch<Result> extends AtomicTypeSwitch<Result> {
  /**
   * Array type.
   * @param elementType Type of array elements.
   * @return Result.
   */
  Result caseArray(ValueType elementType);
}
