package net.afyre.haha.demo.vcgen;

import net.afyre.haha.demo.haha.Assertion;
import net.afyre.haha.demo.util.Function;

/**
 * Converts assertions into formula objects.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 */
public final class AssertionToDocumentedFormula 
    implements Function<Assertion, DocumentedFormula> {
  /** Object used to convert and document expressions. */
  private final ExprToDocumentedFormula exprToFormula =
      new ExprToDocumentedFormula();

  /** {@inheritDoc} */
  @Override
  public DocumentedFormula apply(final Assertion arg) {
    return exprToFormula.apply(arg.getFormula());
  }
  
  
  

}
